Download it now!
Bug 123298 - Description problem in exported password protected PDF
Summary: Description problem in exported password protected PDF
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2019-02-10 00:35 UTC by Yan Fiz
Modified: 2019-02-20 14:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Fiz 2019-02-10 00:35:08 UTC
Description:
In description of encrypted PDF, 'Creator' and 'PDF Producer' are problematic. Creator is "W", and PDF Producer is "LibreO". There is no problem in unencrypted PDF.

Steps to Reproduce:
1. Run Writer
2. Export PDF with password
3. Look at PDF description

Actual Results:
https://i.postimg.cc/zDQ9ytZB/Protected.png

Expected Results:
Like of unencrypted PDF

https://i.postimg.cc/ZKyXp84L/Unprotected.png


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.2.0.3 (x64)
Build ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: tr-TR (en_US); UI-Language: en-US
Calc: CL
Comment 1 Dieter Praas 2019-02-10 07:29:50 UTC
I confirm this with 

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 411f3a050ac2be598019d512f8ccfe041080c28f
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-01-14_03:17:11
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

but not with

Version: 6.1.5.2 (x64)
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: group threaded
Comment 2 Xisco Faulí 2019-02-11 15:55:56 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1fcc999a0cf530161de811fcb11177c61f59f44a

author	Caolán McNamara <caolanm@redhat.com>	2018-11-08 10:27:50 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-08 15:29:09 +0100
commit	1fcc999a0cf530161de811fcb11177c61f59f44a (patch)
tree	41debe2b227028cc5cfb95e6e2127bef2e0c11a5
parent	e3ca8385fed93e61efb8200149e06b822a84a47e (diff)
crash on export to pdf with password set

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2019-02-12 16:35:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/aa31976c2e4399a86bc6f70f140972d9ccef6fc0%5E%21

Resolves: tdf#123298 resize before writing to vector

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-02-12 16:36:52 UTC
fixed in master, backport to 6-2 in gerrit
Comment 5 Commit Notification 2019-02-13 10:28:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c9e1a5e8894dac6c5f1044dd0e98bc2d453fa995%5E%21

Resolves: tdf#123298 resize before writing to vector

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-02-13 11:04:44 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 6d52cd1c0b7270a512a8e4ea988432fdad3e4385
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!
Comment 7 Commit Notification 2019-02-18 21:15:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-1":

https://git.libreoffice.org/core/+/9371b1cee88962ac632ed86968915d95a4625b2e%5E%21

Resolves: tdf#123298 resize before writing to vector

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.